手机浏览 RSS 2.0 订阅 膘叔的简单人生 , 腾讯云RDS购买 | 超便宜Qcloud , 注册 | 登陆
浏览模式: 标准 | 列表2014年10月的文章

Filezilla 在 yosemite 下的配置文件有变动

  升级到 yosemite 后,发现耗电量大增,怀疑是当初的配置有问题或者装了一些不该装的软件。所以还是一咬牙重装了,在重装先做一件事,就是备份/Users/(username)的文件夹。其中就有 filezilla 的配置。不然的话,新装之后,我的那么多服务器的配置文件怎么搞?

新装好后。在安装了 filezilla 完成后,将原备份下的.filezilla 拷到现在/Users/(user)目录下。启动 filezilla,结果发现我的站点管理器里并没有出现我原来的站点。感觉很奇怪。

于是我在新装的 filezilla 里新增了一个站点。然后退出。find /Users/(user) -name "filezilla",居然发现在自已的目录下发现了一个.config/filezilla。跑进去一看,里面的文件和.filezilla 一样。于是 cp -R ~/.filezilla/* ~/.config/filezilla/ 

再启动一下 filezilla。果然配置全回来了。

PS:官网的 filezilla 的安装文件,在安装的时候要注意一下。如果你一直下一步下一步,会多安装两个程序的(开始向国内的用户学习?通过安装程序安装其他 APP 了?提示出现 MacKeeper 等软件的时候,选择 skip 即可)

Tags: filezilla, yosemite

MAMP Pro 3.05 on Mavericks updated to Yosemite - Apache does not start

 今天新版发布,立刻升级,结果就这MAMP玩意不能启动了。启动的时候直接报错:

XML/HTML代码
  1. dyld: Symbol not found: _iconv Referenced from: /usr/lib/libmecabra.dylib Expected in: /Applications/MAMP/Library/lib/libiconv.2.dylib in /usr/lib/libmecabra.dylib /Applications/MAMP/Library/bin/apachectl: line 80: 2799 Trace/BPT trap: 5 $HTTPD "$  
开始没注意,是以为80端口没有足够的权限,再仔细一看,怎么是动态 链接库出问题了?难道是补丁没更新?
于是打开Xcode,果然说有必须要安装的组件等着我更新。更新完后再启动,还是这个问题。
不得已Google一下,果然在stackoverflow上有人有提出了类似的问题,并且被解决了:http://stackoverflow.com/questions/25139599/mamp-pro-3-05-on-mavericks-updated-to-yosemite-apache-does-not-start,解决的方法居然非常简单,只要将MAMP目录下的envvars改名成_envvars就可以了:
XML/HTML代码
  1. mv /Applications/MAMP/Library/bin/envvars /Applications/MAMP/Library/bin/_envvars  
记得不要CP,cp没用。。估计会优先检查这个envvars,如果文件存在就用这里面的环境变量了。改名后就不管了
 
如果觉得有用,记得去上面的链接帮别人点个赞。哈
 
 
 

Tags: mamp, mavericks, yosemite, apache

yii 自动加载其他类

Yii2在项目中使用了composer来管理第三方的类库,Yii呢?就没有这样的目录了。不过在他自己的目录结构里其实有这样目录结构,比如extensions。而且默认是用Yii::import("ext.xxxxx.*");来加载

如果再建一个vendor的目录呢?如果我也要用composer怎么办 呢?Yii的加载是靠类名自动加载的。而它的类名却没有办法认到Vendor目录下的程序。这时候应该怎么办呢?

所以Yii还提供了一个简单的办法:Yii::registerAutoloader(array('Requests', 'autoloader'));

看到这个Requests了没,这个就是第三方的HTTP类库,官网是:http://requests.ryanmccue.info/,这应该是目前PHP中最好的Request的类库了,但默认,它的autoload方式,Yii不支持,所以在Requests.php的第一行加入上面的代码。这回好了,Yii::import("ext.Requests"); 你就可以在任何地方调用:Requests::get($url),而不用担心找不到类了

Yii2 released

Yii2 终于released了。发现他的advanced的目录和我现在完全一致。哈哈。。。

不过在测试的时候遇到了这个问题:

XML/HTML代码
  1. composer install  
  2. Loading composer repositories with package information  
  3. Installing dependencies (including require-dev)  
  4. Your requirements could not be resolved to an installable set of packages.  
  5.   
  6.   Problem 1  
  7.     - Installation request for yiisoft/yii2 * -> satisfiable by yiisoft/yii2[2.0.0].  
  8.     - yiisoft/yii2 2.0.0 requires bower-asset/jquery 2.1.*@stable | 1.11.*@stable -> no matching package found.  
  9.   Problem 2  
  10.     - Installation request for yiisoft/yii2-bootstrap * -> satisfiable by yiisoft/yii2-bootstrap[2.0.0].  
  11.     - yiisoft/yii2-bootstrap 2.0.0 requires bower-asset/bootstrap 3.2.* | 3.1.* -> no matching package found.  
  12.   Problem 3  
  13.     - Installation request for yiisoft/yii2-gii * -> satisfiable by yiisoft/yii2-gii[2.0.0].  
  14.     - yiisoft/yii2-gii 2.0.0 requires bower-asset/typeahead.js 0.10.* -> no matching package found.  
  15.   Problem 4  
  16.     - yiisoft/yii2 2.0.0 requires bower-asset/jquery 2.1.*@stable | 1.11.*@stable -> no matching package found.  
  17.     - yiisoft/yii2-faker 2.0.0 requires yiisoft/yii2 * -> satisfiable by yiisoft/yii2[2.0.0].  
  18.     - Installation request for yiisoft/yii2-faker * -> satisfiable by yiisoft/yii2-faker[2.0.0].  
  19.   
  20. Potential causes:  
  21.  - A typo in the package name  
  22.  - The package is not available in a stable-enough version according to your minimum-stability setting  
  23.    see <https://groups.google.com/d/topic/composer-dev/_g3ASeIFlrc/discussion> for more details.  
  24.   
  25. Read <http://getcomposer.org/doc/articles/troubleshooting.md> for further common problems.  

这不是什么大问题,只是安装不上罢了。问题出来哪里呢?看了一下官方的issue,有对它的解释:https://github.com/composer/composer/issues/2873

毕竟,虽然yii2是stable了,但不是所有关联的项目都是stable了。把项目中的:"minimum-stability":"stable"改成 "minimum-stability":"dev"即可

于是:composer install

Loading composer repositories with package information

Installing dependencies (including require-dev)

  - Installing yiisoft/yii2-composer (dev-master 73ad236)

    Cloning 73ad236be1bf7cf4415559a4b592dd5b9cb4b288

-------EOF。

连接mq出现2538、2539错误

最近在一个合作项目中需要连接ibm的websphere,经常连着连着就报错了。

比如2533错误:Reason:2033 Text:No message available.  没信息了。。。。

再比如2538错误:Connx CompCode:2 Reason:2538 Text:An MQCONN call was issued from a client to connect to a queue manager but the attempt to allocate a conversation to the remote system failed

这2538就是TMD连接不上服务器,后来问了对方,原来,对方挂了。我晕

今天又是2538,再一问,我靠,换IP了。。真受不了

然后改好IP,再连接,结果。。。2539出现了:Reason:2539 Text:An MQCONN call was issued from a client to connect to a queue manager but the attempt to establish communication failed

查了下2539对应的错误:

XML/HTML代码
  1. 2539 (09EB) (RC2539): MQRC_CHANNEL_CONFIG_ERROR  
  2.   
  3. Explanation  
  4.   
  5. An MQCONN call was issued from a client to connect to a queue manager but the attempt to establish communication failed. Common causes of this reason code are:  
  6.   
  7. a.The server and client cannot agree on the channel attributes to use.  
  8. b.There are errors in one or both of the QM.INI or MQCLIENT.INI configuration files.  
  9. c.The server machine does not support the code page used by the client.  

有三种可能。。。现在就等对方折腾了。不过查了下,关于第三种,code page不一样的错误,在http://www.cnblogs.com/fromchaos/archive/2010/02/24/1672736.html,有个解释。为了方便我就复制部分东西过来了

XML/HTML代码
  1. 选择客户机或服务器编码字符集标识(CCSID)  
  2.   
  3. 客户机代码假设通过客户机中 MQI 的字符数据位于机器所配置的 CCSID 中。如果此 CCSID 是一个不支持的 CCSID 或不是必需的 CCSID,可以用 MQCCSID 环境变量覆盖它,例如,在 Windows® 上:  
  4.   
  5. SET MQCCSID=850  
  6. 更新开始或者,在 UNIX® 系统上:  
  7. export MQCCSID=850  

如果是CCSID的问题我只要加在rc.local就好了,不过目前还不知道对方是不是这个错误。。。最后再转一下上述文章的最后一段,关于CCSID的说明

XML/HTML代码
  1. IBM Coded Character Set Identifiers (CCSID)码表  
  2.   
  3. A CCSID is a Coded Character Set Identifier. The Unicode standard defines a Coded Character Set as "A character set in which each character is assigned a numeric code value." This means that a CCSID is a number that defines a numeric ordering of characters. The IBM ® Character Data Representation Architecture (CDRA) as defined in SC09-1390, defines CCSIDs that are used with IBM to represent character data. This architecture defines Single Byte Character Set (SBCS) CCSIDs, Multiple Byte Character Set (MBCS) CCSIDs, and Mixed CCSIDs which are a combination of SBCS and MBCS data. MBCS CCSIDs are usually used for languages, such as Chinese, Japanese, and Korean, that define a larger number of characters than can be represented in a single byte.   
  4. CCSID是一个字符集的标识。作为unicode标准通过定义一个字符集内每个字符要对应那个数字值的方式定义了一个字符集。这说明CCSID就是一个定义字符集顺序的标识数码罢了。IBM的字符标识架构在文档 SC09-1390(http://www-304.ibm.com/jct03002c/software/globalization/cdra/index.jsp;http://publib.boulder.ibm.com/cgi-bin/bookmgr/BOOKS/FOCREF00/CCONTENTS)中做了定义,CCSID是IBM用来标识字符序列的标识代码。这个架构定义了SDCS(单字符集)的CCSID值,MBCS(多字符集)的CCSID值和混合单字符多字符集的混合CCSID值。多字符集的CCSID一般用于语言,比如中文,日文,韩文,这些语言的字符量很大,无法用单字节的码值来代表。  
  5.   
  6. All SBCS CCSIDs define a similar basic set of characters, although they might define them in different numeric ordering. For instance all SBCS EBCDIC CCSIDs define the number "1" as x'F0' and all SBCS ASCII CCSIDs define the number 1 as x'30'.  
  7.   
  8. CCSID间的转换有多种类型。其中一种转换就是从一种CCSID到另一种CCSID的转换,举例来说从ASCII(CCSID 1252)到EBCDIC(CCSID 37)。另一种是从串数据到另一种数据类型的转换。举例来说转换字符串数据到数值。在所有的这种类型的转换中都必须标识CCSID值来保证转换的正确进行。  
  9.   
  10. 但是转换是有要求的,第一种转换的前提是转到的 CCSID的类型中要包含转换前的CCSID类型中要转换的字符,比如,如果从CCSID1381(S-CHGBPC-DATA) 类型的简体中文的PC编码中的一个中文字符"中"字到其他CCSID编码转换到的编码起码要求这个CCSID编码的字符集中包含同样的"中"字。  
  11.   
  12. 我从IBM找到的对CCSID说明的列表如下:  
  13.   
  14. 摘录自http://www-304.ibm.com/jct03002c/software/globalization/ccsid/ccsid_registered.jsp,如果需要详细信息,请自行查询。  

做个笔记,从去年开始,不停的在与第三方对接程序。有时候真心想骂娘,后来想想,大家都是混口饭吃嘛。而且人家还是上游单位,混的比你好多了。。不要与他们一般见识 。

Tags: websphere

Records:612